DefaultImageMakefileViewConfiguration (Carbide.c++ SDK API Reference)
Keywords: com.nokia.carbide.cdt.builder.DefaultImageMakefileViewConfiguration class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Carbide.c++
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.nokia.carbide.cdt.builder
Class DefaultImageMakefileViewConfiguration

    java.lang.Object
      com.nokia.carbide.cdt.builder.DefaultGNUMakefileViewConfiguration
          com.nokia.carbide.cdt.builder.DefaultImageMakefileViewConfiguration

All Implemented Interfaces:
  IViewConfiguration, IImageMakefileViewConfiguration, IMakefileViewConfiguration

    public class DefaultImageMakefileViewConfiguration

extends DefaultGNUMakefileViewConfiguration
implements IImageMakefileViewConfiguration

A default configuration for handling image makefiles.

This only provides useful information for S60.

Constructor Summary
`DefaultImageMakefileViewConfiguration(ICarbideProjectInfo info, IViewFilter viewFilter)` Create a view configuration for the given project's information and view filter.
`DefaultImageMakefileViewConfiguration(IProject project, ISymbianBuildContext context, IViewFilter viewFilter)` Create a view configuration for the given project and build context and view filter.

Method Summary
`IImageBuilderCommandLineConverter` | `getImageBuilderCommandLineConverter()` Get a converter for creating/rewriting the image builder command lines
`java.lang.String` | `getImageBuilderName()` get name of tool that builds images (e.g. mifconv)

Methods inherited from class com.nokia.carbide.cdt.builder.DefaultGNUMakefileViewConfiguration
`getMacros, getMakefileStyle, getViewFilter, getViewParserConfiguration`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.nokia.carbide.cpp.epoc.engine.model.makefile.IMakefileViewConfiguration
`getMakefileStyle`

Methods inherited from interface com.nokia.carbide.cpp.epoc.engine.model.IViewConfiguration
`getMacros, getViewFilter, getViewParserConfiguration`

Constructor Detail

### DefaultImageMakefileViewConfiguration

    public DefaultImageMakefileViewConfiguration(ICarbideProjectInfo info,
                                                 IViewFilter viewFilter)

  Create a view configuration for the given project's information and view filter.

  The build context may not be null.

### DefaultImageMakefileViewConfiguration

    public DefaultImageMakefileViewConfiguration(IProject project,
                                                 ISymbianBuildContext context,
                                                 IViewFilter viewFilter)

  Create a view configuration for the given project and build context and view filter.

  The build context may be null.

Method Detail

### getImageBuilderCommandLineConverter

    public IImageBuilderCommandLineConverter getImageBuilderCommandLineConverter()

  Description copied from interface: `IImageMakefileViewConfiguration`
  Get a converter for creating/rewriting the image builder command lines

  Specified by:
    `getImageBuilderCommandLineConverter` in interface `IImageMakefileViewConfiguration`

### getImageBuilderName

    public java.lang.String getImageBuilderName()

  Description copied from interface: `IImageMakefileViewConfiguration`
  get name of tool that builds images (e.g. mifconv)

  Specified by:
    `getImageBuilderName` in interface `IImageMakefileViewConfiguration`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Carbide.c++
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD